Bug 16946 - Remove the use of "onclick" from several serials templates
Summary: Remove the use of "onclick" from several serials templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-20 15:39 UTC by Owen Leonard
Modified: 2017-06-14 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16946 - Remove the use of "onclick" from several serials templates (17.70 KB, patch)
2016-07-20 16:42 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16946 - Remove the use of "onclick" from several serials templates (17.73 KB, patch)
2016-07-20 22:48 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16946 [Revised] Remove the use of "onclick" from several serials templates (18.31 KB, patch)
2016-08-04 18:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16946 [Revised] Remove the use of "onclick" from several serials templates (18.33 KB, patch)
2016-08-05 10:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-07-20 15:39:37 UTC
There are many uses of "onclick" and other event attributes in the Serials module templates. This bug will track changes to several of them:

checkexpiration.tt
claims.tt
result.tt
routing-preview-slip.tt
routing-preview.tt
routing.tt
Comment 1 Owen Leonard 2016-07-20 16:42:05 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2016-07-20 22:48:48 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-25 14:22:43 UTC
- serials/claims.pl
"clear filter" does not blank from and to dates.

- serials/routing-preview.tt and serials/routing.tt
you removed <!--, but kept //-->

Otherwise, looks good!
Comment 4 Owen Leonard 2016-08-04 18:51:04 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-08-05 10:32:25 UTC
Created attachment 54026 [details] [review]
Bug 16946 [Revised] Remove the use of "onclick" from several serials templates

This patch modifies several serials module templates to remove the use
of event attributes. Events will now be defined in JavaScript.

Also changed:

- In Serials -> Check expiration, custom form validation has been
  removed in favor of validation with the plugin.
- In Serials -> Claims, the "Clear filter" button has been replaced with
  a link. Error messages are now styled with the standard "alert" class.
- In Serials -> New subscription -> Search for record, the "choose" link
  is now a Bootstrap button. Pagination links are now styled like other
  similar links. The "Close" button is now styled as in other popup
  windows. The "no results found" messages is styled as an informational
  dialog.
- In Serials -> Subscription -> Edit routing list, the "add recipients"
  and "delete all" controls are now links with Font Awesome icons.

To test, apply the patch and:

- Go to Serials -> Check expiration.
  - Try to submit the form without filling in a date. The form
    validation plugin should warn you that the date field is required.
  - Submit the form using data which will return results.
  - Click the "Renew" button for any result. The subscription renewal
    popup should be triggered for the correct title.

- Go to Serials -> Claims.
  - Select a vendor with missing issues.
  - Confirm that the date filter works correctly, and that the "Clear
    filter" link works.
  - Select one or more result and click the "Send notification" button.
    The notification should be sent.

- Go to Serials -> New subscription.
  - Click the "Search for record" link to trigger the bibliographic
    search popup.
  - Perform a search. Confirm that the "Choose" button selects the
    correct record and populates the fields in the parent window.

- Go to Serials -> Subscription -> Edit routing list.
  - Confirm that the process of adding recipients to the list works
    correctly.
  - Confirm that changing the rank of any recipient works correctly.
  - Save the routing list and click the "Save and preview routing slip"
    button on the confirmation page. The slip preview should open.
  - In the slip preview window, test that the print button works
    correctly.

Signed-off-by: Aleisha <aleishaamohia@hotmail.com>

QA revision: Removed stray '// -->' and corrected clear filter function

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2016-09-09 14:18:27 UTC
Pushed to master for 16.11, thanks Owen!